# GimpUi.prop_enum_icon_box_new

    function prop_enum_icon_box_new(config: GObject.Object, property_name: String, icon_prefix: String, minimum: Number(gint), maximum: Number(gint)): Gtk.Widget {
        // Gjs wrapper for gimp_prop_enum_icon_box_new()
    }

Creates a horizontal box of radio buttons with named icons, which function to set and display the value of the specified Enum property. The icon name for each icon is created by appending the enum_value's nick to the given icon_prefix. See GimpUi.enum_icon_box_new for more information.

Since 2.10

config

  Object to which property is attached.

property_name

  Name of enum property controlled by the radio buttons.

icon_prefix

  The prefix of the group of icon names to use.

minimum

  Smallest value of enum to be included.

maximum

  Largest value of enum to be included.

Returns

  A #libgimpwidgets-gimpenumiconbox containing the radio buttons.